<?xml version="1.0" encoding="utf-8"?>
<LinearLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    android:orientation="vertical">
    <!--    设置时间、设置阈值范围（心率、血氧、收缩、舒张压、温度）、
    设置检测间隔时间、设置蓝牙名称-->

    <LinearLayout
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:orientation="horizontal">

        <EditText
            android:id="@+id/etMac"
            android:layout_width="0dp"
            android:layout_height="wrap_content"
            android:layout_weight="1"
            android:hint="请输入需要连接的设备MAC地址"
            android:paddingStart="20dp"
            android:inputType="textCapCharacters"
            android:digits="0123456789abcdefABCDEF:"
            android:maxLength="17"
            android:textSize="14dp" />

        <Button
            android:id="@+id/btnConnect"
            android:layout_width="wrap_content"
            android:layout_height="match_parent"
            android:text="连接" />

    </LinearLayout>

    <LinearLayout
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:layout_marginStart="10dp"
        android:layout_marginTop="10dp"
        android:orientation="horizontal">

        <Button
            android:id="@+id/btnSetTime"
            android:layout_width="wrap_content"
            android:layout_height="match_parent"
            android:text="设置时间" />

        <Button
            android:id="@+id/btnQueryInfo"
            android:layout_width="wrap_content"
            android:layout_height="match_parent"
            android:text="查询信息" />

        <Button
            android:id="@+id/btnQueryThreshold"
            android:layout_width="wrap_content"
            android:layout_height="match_parent"
            android:text="获取本地存储数据" />

        <Button
            android:id="@+id/btnClearLog"
            android:layout_width="wrap_content"
            android:layout_height="match_parent"
            android:text="清空log" />

    </LinearLayout>


    <androidx.appcompat.widget.LinearLayoutCompat
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:layout_marginTop="10dp"
        android:gravity="center_vertical"
        android:orientation="horizontal">

        <EditText
            android:id="@+id/etCheckTime"
            android:layout_width="0dp"
            android:layout_height="wrap_content"
            android:layout_weight="1"
            android:hint="检测间隔时间(分)"
            android:paddingStart="20dp"
            android:inputType="number"
            android:maxLength="3"
            android:textSize="14dp" />

        <CheckBox
            android:id="@+id/cbCheckTime"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:checked="true"
            android:text="开启/关闭测量"/>

        <Button
            android:id="@+id/btnSetCheckTime"
            android:layout_width="wrap_content"
            android:layout_height="match_parent"
            android:text="设置检测间隔时间" />

    </androidx.appcompat.widget.LinearLayoutCompat>

    <androidx.appcompat.widget.LinearLayoutCompat
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:layout_marginTop="10dp"
        android:gravity="center_vertical"
        android:orientation="horizontal">

        <EditText
            android:id="@+id/etBleName"
            android:layout_width="0dp"
            android:layout_height="match_parent"
            android:layout_weight="1"
            android:hint="蓝牙名称"
            android:paddingStart="20dp"
            android:inputType="text"
            android:textSize="14dp" />

        <Button
            android:id="@+id/btnSetBleName"
            android:layout_width="wrap_content"
            android:layout_height="match_parent"
            android:text="设置检测间隔时间" />

    </androidx.appcompat.widget.LinearLayoutCompat>

    <LinearLayout
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:layout_marginTop="10dp"
        android:gravity="center_vertical"
        android:orientation="horizontal">

        <TextView
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:text="心率:低值" />

        <EditText
            android:id="@+id/etHrMin"
            android:layout_width="0dp"
            android:layout_height="wrap_content"
            android:layout_weight="1"
            android:gravity="center"
            android:hint="60"
            android:inputType="number"
            android:maxLength="3"
            android:textSize="14dp" />

        <TextView
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:text="高值" />

        <EditText
            android:id="@+id/etHrMax"
            android:layout_width="0dp"
            android:layout_height="wrap_content"
            android:layout_weight="1"
            android:gravity="center"
            android:hint="120"
            android:inputType="number"
            android:maxLength="3"
            android:textSize="14dp" />

        <TextView
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_marginStart="10dp"
            android:text="血氧:低值" />

        <EditText
            android:id="@+id/etSpo2Min"
            android:layout_width="0dp"
            android:layout_height="wrap_content"
            android:layout_weight="1"
            android:gravity="center"
            android:hint="95"
            android:inputType="number"
            android:maxLength="3"
            android:textSize="14dp" />

        <TextView
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:text="高值" />

        <EditText
            android:id="@+id/etSpo2Max"
            android:layout_width="0dp"
            android:layout_height="wrap_content"
            android:layout_weight="1"
            android:gravity="center"
            android:hint="100"
            android:inputType="number"
            android:maxLength="3"
            android:textSize="14dp" />

    </LinearLayout>

    <LinearLayout
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:layout_marginTop="10dp"
        android:visibility="gone"
        android:gravity="center_vertical"
        android:orientation="horizontal">

        <TextView
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:text="收缩压:低值" />

        <EditText
            android:id="@+id/etSbpMin"
            android:layout_width="0dp"
            android:layout_height="wrap_content"
            android:layout_weight="1"
            android:gravity="center"
            android:hint="90"
            android:inputType="number"
            android:maxLength="3"
            android:textSize="14dp" />

        <TextView
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:text="高值" />

        <EditText
            android:id="@+id/etSbpMax"
            android:layout_width="0dp"
            android:layout_height="wrap_content"
            android:layout_weight="1"
            android:gravity="center"
            android:hint="140"
            android:inputType="number"
            android:maxLength="3"
            android:textSize="14dp" />

        <TextView
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_marginStart="10dp"
            android:text="舒张压:低值" />

        <EditText
            android:id="@+id/etDbpMin"
            android:layout_width="0dp"
            android:layout_height="wrap_content"
            android:layout_weight="1"
            android:gravity="center"
            android:hint="60"
            android:inputType="number"
            android:maxLength="3"
            android:textSize="14dp" />

        <TextView
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:text="高值" />

        <EditText
            android:id="@+id/etDbpMax"
            android:layout_width="0dp"
            android:layout_height="wrap_content"
            android:layout_weight="1"
            android:gravity="center"
            android:hint="90"
            android:inputType="number"
            android:maxLength="3"
            android:textSize="14dp" />

    </LinearLayout>

    <LinearLayout
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:layout_marginTop="10dp"
        android:gravity="center_vertical"
        android:orientation="horizontal">

        <TextView
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:text="温度:低值" />

        <EditText
            android:id="@+id/etTempMin"
            android:layout_width="0dp"
            android:layout_height="wrap_content"
            android:layout_weight="1"
            android:gravity="center"
            android:hint="36.0"
            android:inputType="numberDecimal"
            android:maxLength="4"
            android:textSize="14dp" />

        <TextView
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:text="高值" />

        <EditText
            android:id="@+id/etTempMax"
            android:layout_width="0dp"
            android:layout_height="wrap_content"
            android:layout_weight="1"
            android:gravity="center"
            android:hint="38.0"
            android:inputType="numberDecimal"
            android:maxLength="4"
            android:textSize="14dp" />

        <Button
            android:id="@+id/btnSetThreshold"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_gravity="center"
            android:layout_marginStart="10dp"
            android:layout_marginEnd="10dp"
            android:text="设置阈值" />

    </LinearLayout>


    <ListView
        android:id="@+id/log_list"
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:layout_marginTop="10dp" />

</LinearLayout>